#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "particle.h"
#include "vectorField.h"

#include "ofxCvColorImage.h"

class testApp : public ofSimpleApp{
	
public:
	
	void setup();
	void update();
	void draw();
	void exit();
	
	void keyPressed  (int key);
	void keyReleased (int key);
	
	void mouseMoved(int x, int y );
	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
	void mouseReleased();
	
	void HSVtoRGB(unsigned char *hsv, unsigned char *rgb);
	
	// let's make a vector of them
	vector <particle> particles;
	vectorField VF;
	
	int drawingStyle;
	bool bFade;
	
	int width, height;
	
	ofTexture texture;
	
	unsigned char *rgb, *hsv;
	
};

#endif

